import CryptoJS from './crypto-js.js'

function getKey(){
	var data=['0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'];
	var res="";
	for(var i=0;i<16;i++){
		var id=Math.ceil(Math.random()*35);
		res+=data[id];
	}
	return res;
}

function encrypt(word,key){
	var key = CryptoJS.enc.Utf8.parse(key);
	var srcs = CryptoJS.enc.Utf8.parse(word);  
	var encrypted = CryptoJS.AES.encrypt(srcs, key, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});  
	return encrypted.toString();  
}

function decrypt(word,key){
	var key = CryptoJS.enc.Utf8.parse(key);
	var decrypt = CryptoJS.AES.decrypt(word, key, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});  
	return CryptoJS.enc.Utf8.stringify(decrypt).toString(); 
}

module.exports = {
	getKey:getKey,
	encrypt:encrypt,
	decrypt:decrypt
}